#!/usr/bin/perl -w
#####################################################################
# Name: diskspaceWin.pl
# Purpose:
#   To print the available disk space; that is, the number
#   of bytes free in one drive in a Windows system.
#####################################################################

my %page;
#####################################################################
$page{title} = 'Monitoring of heterogenous environments';
$page{author} = 'Olutoyin Oshin. Email:ooshin@us.ibm.com';
$page{copyright} = 'Copyright 2001 IBM';
#####################################################################

#####################################################################
# Load CGI modules.  Use CGI::Carp to send errors to browser
# instead of error log
#####################################################################

use CGI qw/:standard :html3/;
use CGI::Carp qw(fatalsToBrowser);

# Enforce good programming practice, and give good error messages
#
use strict;
use diagnostics;               # during development only

#####################################################################
# Declare global variables
#
#####################################################################

use vars qw($findDiskSpace @diskSpaceArray $lenOfDiskSpaceArray $cgi $hostname);
$cgi = new CGI;
print header;  # prints "Content-type: text/html ..."
print $cgi->start_html(-title=>$page{title},
                       -author=>$page{author},
                       -meta=>{'copyright'=>$page{copyright}}
                       );
$hostname = `"hostname"`;
$findDiskSpace = `"dir"`;
@diskSpaceArray = split(/ /,$findDiskSpace);
$lenOfDiskSpaceArray = @diskSpaceArray;
print h1("$hostname");
print $diskSpaceArray[$lenOfDiskSpaceArray-3]." ".$diskSpaceArray[$lenOfDiskSpaceArray-2]." ".$diskSpaceArray[$lenOfDiskSpaceArray-1];
print "in ".$diskSpaceArray[3]." "."<B>$diskSpaceArray[4]</B>";
print end_html;
print "\n"   # To provide new line at end of html file

# end of script
